Lines Matching +full:pre +full:- +full:set
2 #-
4 # Copyright (c) 2013-2018 Devin Teske
48 msg_auto_zfs_desc="Guided Root-on-ZFS"
52 …ve issues booting in CSM/Legacy/BIOS mode from GPT partitions that are not set active. Would you l…
61 msg_shell_help="Create customized partitions using command-line utilities"
79 [ -f "$PATH_FSTAB" ] && bsdinstall umount
86 --title "$title" \
87 --backtitle "$btitle" \
88 --hline "$hline" \
89 --no-label "$msg_exit" \
90 --yes-label "$msg_restart" \
91 --yesno "$prompt" $height $width
113 local max_width=$(( $width - 3 - $plen ))
117 yes=ok no=cancel defaultno=default-no
118 extra_args="--wrap --left"
122 extra_args="--cr-wrap"
132 --title "$title" \
133 --backtitle "$btitle" \
134 --hline "$hline" \
135 --$yes-label "$msg_yes" \
136 --$no-label "$msg_no" \
138 --yesno "$prompt" $height $width
145 rm -rf $BSDINSTALL_TMPETC
148 [ -f /usr/libexec/bsdinstall/local.pre-everything ] && f_dprintf "Running local.pre-everything" && …
151 [ -z "$BSDINSTALL_SKIP_KEYMAP" ] && bsdinstall keymap
153 trap error SIGINT # Catch cntrl-C here
154 if [ -z "$BSDINSTALL_SKIP_HOSTNAME" ]; then bsdinstall hostname || error "Set hostname failed"; fi
156 export DISTRIBUTIONS="${DISTRIBUTIONS:-base.txz kernel.txz}"
157 if [ -f $BSDINSTALL_DISTDIR/MANIFEST ]; then
158 DISTMENU=`awk -F'\t' '!/^(kernel\.txz|base\.txz)/{print $1,$5,$6}' $BSDINSTALL_DISTDIR/MANIFEST`
159 DISTMENU="$(echo ${DISTMENU} | sed -E 's/\.txz//g')"
161 if [ -n "$DISTMENU" ]; then
164 --backtitle \"$OSNAME Installer\" \
165 --title \"Distribution Select\" --nocancel --separate-output \
166 --checklist \"Choose optional system components to install:\" \
177 if [ ! -f $BSDINSTALL_DISTDIR/$dist ]; then
182 if [ -n "$FETCH_DISTRIBUTIONS" -a -n "$BSDINSTALL_CONFIGCURRENT" ]; then
183 …bsddialog --backtitle "$OSNAME Installer" --title "Network Installation" --msgbox "Some installati…
188 rm -f $PATH_FSTAB
191 [ -f /usr/libexec/bsdinstall/local.pre-partition ] && f_dprintf "Running local.pre-partition" && sh…
198 sys_maker=$( kenv -q smbios.system.maker )
200 sys_model=$( kenv -q smbios.system.product )
202 sys_version=$( kenv -q smbios.system.version )
204 sys_mb_maker=$( kenv -q smbios.planar.maker )
206 sys_mb_product=$( kenv -q smbios.planar.product )
219 if [ $retval -eq $DIALOG_OK ]; then
232 if [ $retval -eq $DIALOG_OK ]; then
239 "Hewlett-Packard")
245 if [ $retval -eq $DIALOG_OK ]; then
263 if [ $retval -eq $DIALOG_OK ]; then
276 if [ $retval -eq $DIALOG_OK ]; then
290 " # END-QUOTE
292 CURARCH=$( uname -m )
298 " # END-QUOTE
305 PARTMODE=`echo $PMODES | xargs -o bsddialog --backtitle "$OSNAME Installer" \
306 --title "Partitioning" \
307 --item-help \
308 --menu "How would you like to partition your disk?" \
310 exec 5>&-
323 …echo "Use this shell to set up partitions for the new system. When finished, mount the system at $…
340 [ -f /usr/libexec/bsdinstall/local.pre-fetch ] && f_dprintf "Running local.pre-fetch" && sh /usr/li…
342 if [ -n "$FETCH_DISTRIBUTIONS" ]; then
346 exec 5>&-
348 [ $FETCH_RESULT -ne 0 ] && error "Could not fetch remote distributions"
353 # Set up boot loader
356 [ -f /usr/libexec/bsdinstall/local.pre-configure ] && f_dprintf "Running local.pre-configure" && sh…
358 bsdinstall rootpass || error "Could not set root password"
362 bsdinstall netconfig # Don't check for errors -- the user may cancel
364 [ -z "$BSDINSTALL_SKIP_TIME" ] && bsdinstall time
365 [ -z "$BSDINSTALL_SKIP_SERVICES" ] && bsdinstall services
366 [ -z "$BSDINSTALL_SKIP_HARDENING" ] && bsdinstall hardening
367 [ -z "$BSDINSTALL_SKIP_FIRMWARE" ] && bsdinstall firmware
369 [ -z "$BSDINSTALL_SKIP_USERS" ] && bsddialog --backtitle "$OSNAME Installer" \
370 --title "Add User Accounts" --yesno \
375 [ -z "$BSDINSTALL_SKIP_FINALCONFIG" ] && bsdinstall finalconfig
380 if [ ! -z "$BSDINSTALL_FETCHDEST" ]; then
381 rm -rf "$BSDINSTALL_FETCHDEST"
384 [ -f /usr/libexec/bsdinstall/local.post-configure ] && f_dprintf "Running local.post-configure" && …
386 if [ -z "$BSDINSTALL_SKIP_MANUAL" ]; then
387 bsddialog --backtitle "$OSNAME Installer" --title "Manual Configuration" \
388 --default-no --yesno \
390 if [ $? -eq 0 ]; then